import java.rmi.*;
import java.io.*;

public class HelloClient
{
	public static void main(String args[])
	{
		try {
			// Obektreferenz ber Namensdienst besorgen
			Hello obj = (Hello)Naming.lookup("rmi://bsclk01.lab.bvs/Hello-Server");

			// Remote Methode aufrufen
			Result res = obj.getResult();

			// Lokale Methode auf Ergebnisobjekt aufrufen
			res.print();
		}
		catch (Exception e) {
			System.out.println("HelloClient: " + e.getMessage());
			e.printStackTrace();
		}
	}
}

